import { HttpRequestFile } from './HttpRequestFile';
export declare class HttpRequest {
    url: string;
    path: string;
    query: Record<string, string | Array<string> | undefined>;
    headers: Record<string, string>;
    params: Record<string, string>;
    body?: any;
    files: Array<HttpRequestFile>;
    [key: string]: any;
    constructor(input: Omit<HttpRequest, 'state' | 'files'>);
}
//# sourceMappingURL=HttpRequest.d.ts.map